aboutsummaryrefslogtreecommitdiff
path: root/docs
diff options
context:
space:
mode:
Diffstat (limited to 'docs')
-rw-r--r--docs/asdf.sh3
-rw-r--r--docs/info.txt12
2 files changed, 12 insertions, 3 deletions
diff --git a/docs/asdf.sh b/docs/asdf.sh
index 4eb9fe8..eab2c0f 100644
--- a/docs/asdf.sh
+++ b/docs/asdf.sh
@@ -1,7 +1,8 @@
#!/bin/bash
+set -e
. $FILE
-configure
+[ -z "$1" ] && configure
echo 1 > 3
build
echo 2 > 3
diff --git a/docs/info.txt b/docs/info.txt
index 1a75a38..51927d2 100644
--- a/docs/info.txt
+++ b/docs/info.txt
@@ -2,7 +2,7 @@
# bash
setting BASH_ENV sources it before
-execve("/bin/bash", { "/bin/bash", "build.sh", NULL }, { env..., "BASH_ENV=file", NULL});
+execve("/bin/bash", { "/bin/bash", "build.sh", NULL }, { env..., "BASH_ENV=file", , NULL});
build() {
@@ -17,6 +17,14 @@ check for $snagcache/$packagename/
if not exist full clean build
if exist then just run build and install
-
open log file - fd 3
splice(child stdout, fd 3)
+
+
+snag
+ - make
+ - bash
+ - automake
+ - bash
+ - swenu
+ - bash